require "rrse"
require "optparse"

class RRSE::Command::InstallDefaultDB
  def self.short_description
    "install default db"
  end

  def initialize(dir)
    @dir = dir
  end

  def options
    opts = OptionParser.new
    opts.banner = "Usage: rrse [global-options] install-default-db"
    opts
  end

  def run(argv)
    options.parse!(argv)

    FileUtils.cp(find_file("misc/table"), @dir, verbose: true)
    FileUtils.cp(find_file("misc/index_table"), @dir, verbose: true)
  end

  def find_file(path)
    `gem contents rrse`.split(/\n/).grep(/#{Regexp.quote(path)}\Z/).first
  end
end
