require "rrse"
require "fileutils"
require "yaml"

class RRSE::Command::SetUpConfig
  DEFAULT_CONFIG = {
    "sources" => [
      {"type" => "bitclust", "config" => "~/.bitclust/config"}
    ]
  }

  def self.short_description
    "setup config file"
  end

  def initialize(dir)
    @dir = dir
  end

  def options
    opts = OptionParser.new
    opts.banner = "Usage: rrse [global-options] setup-config"
    opts
  end

  def run(argv)
    options.order!(argv)

    FileUtils.mkdir_p(@dir)
    config_path = @dir + "config"
    IO.write(config_path, YAML.dump(DEFAULT_CONFIG))
  end
end

